<?php

namespace Drupal\monarch_hook_plugin\Plugin\Hook;

use Drupal\monarch_hook_plugin\Entity\CronJob;

/**
 * A plugin to allow preprocess to use the hook plugin system.
 *
 * @Hook(
 *   id = "monarch_hook_plugin_entity_type_build",
 * )
 */
class EntityTypeBuild extends HookBase {

  /**
   * Implements hook_entity_type_build().
   */
  public function hookEntityTypeBuild(array &$entity_types) {
    if (($entity_types['ultimate_cron_job'] ?? NULL) && $entity_types['ultimate_cron_job']->getClass() === 'Drupal\ultimate_cron\Entity\CronJob') {
      $entity_types['ultimate_cron_job']->setClass(CronJob::class);
    }
  }

}
